REST API ReferenceDashboard APITraces
Fetch a trace
GET
/apps/{id}/traces/{traceId}Fetch a trace.
Authorization
bearerAuth AuthorizationBearer <token>
User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
id*string
App's UUID.
Format
uuidtraceId*string
Trace Id.
Response Body
application/json
curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/traces/string"{ "app_id": "e963e98a-aca9-4bab-bd62-70a74801384e", "trace_id": "e0826847053bb9e539c9dc4d4da793ad", "session_id": "9b33b3cd-2588-46b4-9b1e-19d7d2c462fa", "user_id": "", "start_time": "2024-11-18T14:14:55.491Z", "end_time": "2024-11-18T14:14:55.573Z", "duration": 82, "app_version": "0.9.0-SNAPSHOT.debug(900)", "os_version": "android 35", "device_manufacturer": "Google", "device_model": "sdk_gphone16k_arm64", "network_type": "wifi", "spans": [ { "span_name": "activity.onCreate", "span_id": "54b40eb484ade006", "parent_id": "", "status": 0, "start_time": "2024-11-18T14:14:55.491Z", "end_time": "2024-11-18T14:14:55.573Z", "duration": 82, "thread_name": "main", "device_low_power_mode": false, "device_thermal_throttling_enabled": false, "checkpoints": [] } ]}Empty
Empty
Empty
Empty
Empty
Think this page can be better?
Open an issue